local f = CreateFrame("Frame");
ThanksMSG = "Thank you for the Resurrection."; -- ThanksMSG
UnGhostMSG = "Walked back to my body."; -- UnGhostMSG
DeadMSG = "I died, please resurrect me at latest convenience."; -- DeadMSG

CombatStatus = false; -- Combat Status

f:RegisterEvent("PLAYER_DEAD"); -- Event that fires when player Dies
f:RegisterEvent("RESURRECT_REQUEST"); -- Event that Fires on Resurrect Request
f:RegisterEvent("PLAYER_UNGHOST"); --Fires when resurrected from GHOST from CORPSE
f:RegisterEvent("PLAYER_SUMMON"); -- Fires when being Summoned
f:RegisterEvent("PLAYER_REGEN_DISABLED"); -- Fires when Entering Combat
f:RegisterEvent("PLAYER_REGEN_ENABLED"); -- Fires when Leaving Combat

f:SetScript("OnEvent", function(self, event, ...) -- Event Handler 
	if event == "PLAYER_REGEN_ENABLED" then -- Tells the system that Player is out of combat and Assigns false to CombatStatus
		CombatStatus = false; -- Assigns false to CombatStatus
	end
	if event == "PLAYER_REGEN_DISABLED" then -- Tells the system that Player is in Combat and Assigns true to CombatStatus
		CombatStatus = true; -- Assigns True to CombatStatus
	end
	if CombatStatus == false then -- Runs When CombatStatus is equal to False
		if event == "RESURRECT_REQUEST" then -- Runs Script when Resurrect Request comes in
			AcceptResurrection(UnitName("player")); -- Accepts Resurrection Request
			SendChatMessage(ThanksMSG, "SAY", "GetDefaultLanguage('player')"); -- Sends Thanks Chat MSG in SAY
		end
		if event == "PLAYER_UNGHOST" then -- Runs When Player Resurrects from GHOST from CORPSE
			SendChatMessage(UnGhostMSG,"I ran back to my body :)", "PARTY", "GetDefaultLanguage('player')"); -- Says UnGhostMSG in Party
			SendChatMessage(UnGhostMSG, "RAID", "GetDefaultLanguage('player')"); -- Says UnGhostMSG in Raid
		end
		if event == "PLAYER_DEAD" then -- Runs When the Player Dies
			SendChatMessage(DeadMSG,"I died, a resurrection would be dope.", "PARTY", "GetDefaultLanguage('player')"); -- Says DeadMSG in PARTY
			SendChatMessage(DeadMSG, "RAID", "GetDefaultLanguage('player')"); -- Says DeadMSG in PARTY
		end
	end
	if CombatStatus == true then -- Runs When CombatStatus is equal to True
		if event == "PLAYER_DEAD" then -- Runs when Player Dies
			SendChatMessage(DeadMSG, "PARTY", "GetDefaultLanguage('player')"); -- Says DeadMSG in PARTY
			SendChatMessage(DeadMSG, "I died, a resurrection would be dope.", "RAID", "GetDefaultLanguage('player')"); -- Says DeadMSG in PARTY
		end
	end
end)